Description

I've recently upgraded to Servoy 6.1.3 and to plugin version 3.3.0

But now my reports are no longer working. | get the following error:

Your jasper.report.directory setting has not been set.

However in the admin page of my developer | do have that setting (see admin_page.JPG)
I've included a sample solution with the report.

History

#1 - 12/20/2012 06:10 PM - Andrei Costache

Jos, did you manually set that value in the admin page, or was it autoset by the plugin?

Regards,
Andrei

#2 - 12/20/2012 06:41 PM - Jos de Bruijn

Manually changed on the admin page.
#3 - 12/21/2012 08:54 AM - Andrei Costache
Jos, please check your admin page servoy.application_server.trustedRemotePlugins property. | think it is empty and i think that's the problem.

Please add servoy.lJasperReportService as the value of the servoy.application_server.trustedRemotePlugins property (or
servoy.application_server.trustedRemotePlugins=servoy.lJasperReportService in the properties file).

See also https://www.servoyforge.net/issues/500 (i think it is the same problem).

#4 - 12/21/2012 02:16 PM - Jos de Bruijn

Thanks Andrei the normal reports are working now.
Subreports are not, but i'll look into that.

#5 - 12/21/2012 02:27 PM - Andrei Costache

Try to use the com.servoy.plugins.jasperreports.JasperReportsResourceLoader.loadReport(String) method; see these release notes for details, if you
are using subreports in a foundset based report.

#6 - 12/21/2012 02:46 PM - Jos de Bruijn

yea I've seen that post, however my report is not foundset based. | pass a sql string as parameter to the report (and then through to the subreports)
#7 - 12/21/2012 02:49 PM - Andrei Costache
Then that should work.

Are you getting any exception/error in the logs (server and workspace) or in the Java console if you are running a (webstart) smart client, as to why
this fails?

Regards,
Andrei

#8 - 12/21/2012 03:10 PM - Jos de Bruijn

- File reports.rar added
https://www.servoyforge.net/issues/500
https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Servoy_JasperReports_Plugin_v320_-_Release_Notes

| get the following error:

Could not load object from location : mr_AantalTabel.jasper

Wrapped java.lang.Exception: Could not load object from location : mr_AantalTabel.jasper (D:\\servoy6l_workspa

ce\\report_test\\forms\\main. js#21)
at D:\\servoy6l_workspace\\report_test\\forms\\main.js:21 (onAction)

| have even removed all extra params from the report, only the default settings as in iReport (there the report works correctly)

I'm using the following code to run the report:

function onAction (event) {

application.output ("Jasper version: " +plugins.jasperPluginRMI.pluginVersion);

plugins. jasperPluginRMI.relativeReportsDirectory = 'FBricks\\\\'
var _params = new java.util.HashMap () ;

var _path = 'mr_AantalTabel. jasper';
_params.put ("P_AANTAL_PATH", _path)
_path = 'mr_AantalChart_month. jasper';
_params.put ("P_CHART_PATH", _path)

plugins. jasperPluginRMI.runReport ('welcome', 'ManagementAantallen.jrxml',
TPUT_FORMAT.VIEW, _params);

#9 - 12/27/2012 03:32 PM - Andrei Costache
Hi Jos,

null, plugins.jasperPluginRMI.OU

Sorry for the late reply. Are all 3 reports (1 main report and 2 subreports) in the same root folder, which is 'FBricks'? Also, is your extra directories

property set to anything?

Regards,
Andrei

#10 - 01/02/2013 09:04 AM - Jos de Bruijn

Hi Andrei,
| was away on holidays also, so no problem.

The reports are all in the same folder:
c:\\Servoy61\\application_serven\server\\webapps\\ROOT\\reports\\FBricks\\
The directory.jasper.report setting is:
c:\\Servoy61\\application_serven\server\\webapps\\ROOT\\reports\\

| had not set the directories.jasper.extra setting, but setting it to the same folder has no results.
I've also upgraded to the latest plugin version 4.0.0 but with the same result:

Resource not found at : mr_AantalTabel.jasper

Wrapped java.lang.Exception: Resource not found at : mr_AantalTabel.jasper (D:\\servoy61_workspace\\report_test\\forms\\main.js#22)

at D:\\servoy61_workspace\\report_test\\forms\\main.js:22 (onAction)

#11 - 01/15/2013 12:44 PM - Andrei Costache
Hi Jos,

Now i was on holidays, so sorry for a late reply. Question: what if you place the report and subreport at the same location and specify then no params

to runReport. Does it work then?

Regards,
Andrei

#12 - 03/11/2013 08:57 AM - Andrei Costache
Hi Jos,

Were you able to try to place the report and subreport at the same location and specify no params to runReport. If you tried, did it work then? Or is

this not a problem anymore?

Regards,
Andrei
#13 - 03/11/2013 09:44 AM - Jos de Bruijn
Hi Andrei,

I think the problem was somehow related to my servoy environment. I've now installed 6.1.4 as a new servoy instance and here my plugin (3.3.1)

seems to work correctly.

Jos

#14 - 03/11/2013 09:49 AM - Andrei Costache
- Status changed from New to Closed

Hi Jos,

Good to hear it works correct.
Am closing this then.

Best regards,
Andrei
